Subject: Re: [bug-diffutils] bug#64316: ASAN failures in dir.c

From: Gisle Vanem <[email-masked]>
Date: Tue, 27 Jun 2023 21:52:59 +0200

> Thanks for reporting that bug, which I recently introduced. I installed the attached to fix it.

Applied it, ran the new version. Works fine (I think)
when compiling using 'clang-cl.exe',
But with MSVC's 'cl.exe', I often get:
   diff.exe: memory exhausted

(on directory branches with approx. > 7000 files)

 From where the allocation fails, I've no idea since Gnulib is so
unfriendly telling where this occurs. Is there really no
xmalloc_die() with some more useful messages than this? Yikes!

-- 
--gv